<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CityBusiness.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.business</a> &gt; <span class="el_source">CityBusiness.java</span></div><h1>CityBusiness.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.business;

import com.m2.tiila.weather.entity.CityEntity;
import com.m2.tiila.weather.exception.FunctionalException;
import com.m2.tiila.weather.mapper.CityMapper;
import com.m2.tiila.weather.repository.CityRepository;
import dto.weatherapi.City;
import jakarta.inject.Inject;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
<span class="fc" id="L14">public class CityBusiness {</span>
    @Inject
    private CityRepository cityRepository;
    public void createCity(CityEntity city) {
<span class="pc bpc" id="L18" title="1 of 2 branches missed.">        if (city.getId() == null) throw new FunctionalException(&quot;ID_NULL&quot;, &quot;L'ID de la city ne doit pas Ãªtre null.&quot;);</span>
<span class="fc" id="L19">        this.cityRepository.createCity(CityMapper.toDto(city));</span>
<span class="fc" id="L20">    }</span>

    public void deleteCity(Integer id) {
<span class="nc" id="L23">        this.cityRepository.deleteCity(id);</span>
<span class="nc" id="L24">    }</span>

    public List&lt;City&gt; getCity() {
<span class="nc" id="L27">        return this.cityRepository.getCity();</span>
    }

    public void putCity(Integer id, CityEntity city) {
<span class="nc" id="L31">        this.cityRepository.putCity(id, CityMapper.toDto(city));</span>
<span class="nc" id="L32">    }</span>
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>